﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using CardViewSample_120972.Model;
using System.Threading.Tasks;

namespace CardViewSample_120972.ViewModel
{
    public class ViewModel
    {
        private ObservableCollection<PersonModel> _persons;

        public ObservableCollection<PersonModel> Persons
        {
            get { return _persons; }
            set { _persons = value; }
        }


        public ViewModel()
        {
            Persons = new ObservableCollection<PersonModel>();
            Persons.Add(new PersonModel() { FirstName = "Bruce", LastName = "Wayne", Gender = Gender.Male, Age = 35 });
            Persons.Add(new PersonModel() { FirstName = "Martha", LastName = "Wayne", Gender = Gender.Female, Age = 55 });
            Persons.Add(new PersonModel() { FirstName = "Thomas", LastName = "Wayne", Gender = Gender.Male, Age = 60 });
        }
    }
}
